What Versions of QuickBooks Financial Software Are Compatible With POS?

Point of Sale Basic 9.0 and Point of Sale Pro 9.0 are compatible with the following versions of QuickBooks financial software:

  • QuickBooks Pro and Premier 2007 to 2010
  • QuickBooks Enterprise Solutions 7.0 to 10.0

Point of Sale Basic 8.0 and Point of Sale Pro 8.0 are compatible with these versions of QuickBooks:

  • QuickBooks Pro and Premier 2006 to 2009
  • QuickBooks Enterprise Solutions 6.0 to 9.0

Generally speaking, a new version of POS will be compatible with the current version of QuickBooks and those from the prior 3 years.

Users of older versions of QuickBooks need to upgrade to integrate with POS.

If you need to upgrade, you can review detailed product comparisons as well as obtain discounts and free shipping by visiting the links on our Buy QuickBooks page.

Comments

  1. Distinctive Audio says

    Just chated with someone who told me that POS 8.0 is not compatible with window 7 and i needed to upgrade to POS 2013 is this true its very expensive

  2. Distinctive Audio says

    I’m running windows 7 with point of sale 8.0 and want to run a compatible quickbook program with it which quickbooks do i buy